{% extends "../frame.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
<!--     <script src='{% static "js/groupStuff.js" %}'></script> -->
    
    <!-- Edit existing Group -->
    {% if close == "yes" %}
        {{ close }}
        <script>
            opener.displayMsgDetails('{{ uuid }}','{{ muuid }}','{{ token }}');
            window.close();            
        </script>    
    {% endif %}
    
    <div id="editFavorites" class="">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="">
            <form  class="w3-container"  method="POST"  action="/message/{{ muuid }}/favorites/update">
                {% csrf_token %}
                <div>
                    <div class="container">
                        <h4>{%  trans 'favoritesManagement' %}</h4>
                    <div id="favTree"></div>
                </div>

                <div id='hiddenInput' style='display:none'>
                    <select multiple id='hiddenSelector' name='favNodes'>
                    {% for guid in hiddenSelectorData  %}
                        <option value='{{ guid.uuid }}' {{ guid.selected }} >   {{ guid.uuid }} </option>
                    {% endfor %}
                    </select>
                
                </div>
                <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                    <button onclick='submit()' type="button" class="w3-button w3-green">{% trans 'Submit' %}</button>
                    <button onclick='window.close()' type="button" class="w3-button w3-red w3-right">{% trans 'Cancel' %}</button>
                </div>
            </form>
        </div>
    </div>
    <script>
        var defaultData = {{ nodes|safe }} ;
        
        $(function() {
            $('#favTree').treeview({
                color: "#428bca",
                data: defaultData,
                highlightSelected: true,
                multiSelect: true, 
                showCheckbox: false,
                showIcon: false,      
                onNodeSelected: function(event, node) {
                    $("#hiddenSelector option[value='" + node.id + "']").prop("selected", true);
                },
                onNodeUnselected: function(event, node) {
                    $("#hiddenSelector option[value='" + node.id + "']").prop("selected", false);
                },

            });
        });
        
    </script>
    
    
{% endblock %}
